#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <myrinet.h>

#define MESSAGE_LENGTH 24

int main(int argc, char *argv[])
{
  if(argc != 1) {
    fprintf(stderr, "Usage: %s\n", argv[0]);
    return -1;
  }

  printf("Myrinet Sender\n");

  Myrinet *myrinet = new Myrinet;
  if(!myrinet) {
    fprintf(stderr, "Error: can't access Myrinet NIC!\n");
    return -1;
  }
  
  char buf[MESSAGE_LENGTH];
/*  for(unsigned int i = 0; i < sizeof(buf); i++)
    buf[i] = i;

  for(unsigned int j = 0; j < 10; j++)
    if(myrinet->send(buf, sizeof(buf)) < 0) {
      fprintf(stderr, "Error: Myrinet send failed!\n");
      return -1;
    }
*/
     
  strcpy(buf, "Myrinet test Ok\0");
  for(unsigned int j = 0; j < 10; j++)
  if(myrinet->send(buf, 16) < 0) {
    fprintf(stderr, "Error: Myrinet send failed!\n");
    return -1;
  }

  return 0;
}
