typedef enum
{
  DB_ABORT,
  DB_ERROR,
  DB_WARNING,
  DB_INFO,
  DB_TRACE
} Debug_Level;
 
void debug(Debug_Level level, const char *format, ...);

#ifdef DBLEV
extern char *debug_levels[];

#define debug(level, format, args...) \
  if((1 << level) & (DBLEV))\
    printk(KERN_INFO format, ## args);

#else /* DBLEV */

#define debug(level, format, args...)

#endif /* DBLEV */
