// DMA Buffer
//
// Guto, 21.02.2000

#ifndef __dmabuf_h
#define __dmabuf_h 1

class DMA_Buffer {
public:
  DMA_Buffer(int unit = 0);

  bool is_valid(){return (log_addr != 0);}

  void *get_log_addr(){return log_addr;}
  unsigned long get_phy_addr(){return phy_addr;}
  unsigned long get_size(){return size;}

private: 
  void *log_addr;
  unsigned long phy_addr;
  unsigned long size; 
};  

#endif // __dmabuf_h_
