// PCI Mapped Device
//
// Guto, 21.02.2000

#ifndef __pcimap_h
#define __pcimap_h 1

class PCI_Mapped_Device {
public:
  PCI_Mapped_Device(int unit = 0);

  bool is_valid(){return (log_addr != 0);}

  void *get_log_addr(){return log_addr;}
  unsigned long get_phy_addr(){return phy_addr;}
  unsigned long get_size(){return size;}

private: 
  void *log_addr;
  unsigned long phy_addr;
  unsigned long size;
};

#endif /* __pcimap_h */
