#ifndef __pcimap_h
#define __pcimap_h 1

#define PCIMAP_MAJOR 121
#define PCIMAP_N_DEVS 1
#define PCIMAP_N_REGS 6
#define PCIMAP_GET_SIZE _IOC(_IOC_WRITE, 0, 1, 4)
#define PCIMAP_GET_PHY_ADDR _IOC(_IOC_WRITE, 0, 2, 4)

struct PCI_Region {
    int busy;
    unsigned int phy_addr;
    unsigned int size;
};

struct PCI_Device {
    int found;
    unsigned short cmd;
    unsigned short stat;
    unsigned char rev;
    int regs;
    struct PCI_Region reg[PCIMAP_N_REGS];
};

#endif /* __pcimap_h */
